Уголок новичка

Ноутбук не видит подключенный по usb смарт.

При подключении ноут никак не реагирует, телефон только заряжается и все. Хотелось бы его как usb накопитель или как usb модем использовать.

yaourt -S android-udev android-tools пробовал, не помогло

Manjaro KDE
Ноутбук DELL Inspiron 3567-8609
Manjaro XFCE Edition

[Решено] Android emulator в Manjaro

Всем привет, 1.5 года сижу на убунту, разрабатываю под андроид, последние несколько месяцев использую kde neon, в принципе всё нравится, но периодически смотрю тыкаю другие дистры для поиска максимально эффективного, без сильного красноглазия.

Из последних понравившихся manjaro xfce, система просто летает, никаких ppa и прочих заморочек, но есть одна проблема которую не смог решить.

При попытке использования эмулятора от гугла при запуске выдаёт ошибку:

Cannot launch AVD in emulator.
Output:
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
...


Гугл выдал решение проблемы, на форуме арча, типа такого: ln -sf /usr/lib/libstdc++.so.6 ~/android-sdk-linux/emulator/lib64/libstdc++/libstdc++.so.6, т.е. как я понял это попытка заставить эмулятор использовать системную библиотеку. Данное решение помогает, эмулятор запускается, но в данном случае в эмуляторе не работает зум и поворот (работаю с приложением с картами) при зажатии Ctrl. Причём данная функция отлично работает в kde neon. Хотя там вообще ничего специально не делаю, сразу после установки системы всё работает.

Сначала думал это проблема DE, но я попробовал и kde и gnome версию manjaro, одна и та же проблема. На последней версии manjaro я посмотрел в системе эта библиотека версии 6.0.22, в эмуляторе по дефолту лежит версия 6.0.18, в kde neon установлена версия 6.0.21.

Возможно я туплю, но насколько я понимаю проблема именно версии либы? Возможно надо было попробовать как раз версию 6.0.21?

P.S. версию 6.0.18 (изкоробочную) в manjaro пробовал подсунуть (заставить использовать), не помогло.

P.P.S. пробовал Antergos, та же беда, видать арчепроблемы
Софт

xperia flashtool 0.9.18.6

Доброго времени.
Нужно установить старую версию xperia-flashtool, 0.9.18.5, 0.9.18.6, так как с новыми версиями на старых телефонах возникают ошибки при шитье.
В aur только новая версия.
Может репу какую добавить, либо..?
По сути, можно просто Читать дальше